define({ "api": [
  {
    "type": "post",
    "url": "/rest/resources/1.0/absenceBoard/saveAbsence",
    "title": "saveAbsence",
    "name": "saveAbsence",
    "group": "absenceBoard",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "Object[]",
            "optional": false,
            "field": "addAbsenceValueModel",
            "description": "<p>List of chosen params to save an assingment</p>"
          },
          {
            "group": "Parameter",
            "type": "Integer[]",
            "optional": false,
            "field": "addAbsenceValueModel.selectedResources",
            "description": "<p>The chosen value(s) of a resopurceOption</p>"
          },
          {
            "group": "Parameter",
            "type": "Long",
            "optional": false,
            "field": "addAbsenceValueModel.from",
            "description": "<p>The from date in UTC as a Long</p>"
          },
          {
            "group": "Parameter",
            "type": "Long",
            "optional": false,
            "field": "addAbsenceValueModel.to",
            "description": "<p>The to date in UTC as a Long</p>"
          },
          {
            "group": "Parameter",
            "type": "Integer",
            "optional": false,
            "field": "addAbsenceValueModel.assignmentValue",
            "description": "<p>The value to distribute</p>"
          },
          {
            "group": "Parameter",
            "type": "Boolean",
            "optional": false,
            "field": "addAbsenceValueModel.extendFilter",
            "description": "<p>If the assignment should extend the current filter</p>"
          }
        ]
      }
    },
    "version": "0.0.0",
    "filename": "src/main/java/net/naomi/jira/planning/service/impl/AbsenceBoardService.java",
    "groupTitle": "absenceBoard"
  },
  {
    "type": "get",
    "url": "/rest/resources/1.0/assignmentCreate/distributionOptions",
    "title": "distributionOptions",
    "name": "distributionOptions",
    "group": "assignmentCreate",
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "distributions",
            "description": "<p>List of user profiles.</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "distributions.label",
            "description": "<p>label of the distribution option.</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "distributions.value",
            "description": "<p>The value to choose as an ID for the API.</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "distributions.icon",
            "description": "<p>the path to an icon</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "Success-Response:",
          "content": "   HTTP/1.1 200 OK\n   [\n\t {\n       \"label\": \"Fixed duration per Week\",\n       \"value\": \"2\"\n     },\n\t {\n       \"label\": \"Distribute Value in Period\",\n       \"value\": \"1\"\n     }\n   ]",
          "type": "json"
        }
      ]
    },
    "version": "0.0.0",
    "filename": "src/main/java/net/naomi/jira/planning/service/impl/AssignmentCreateService.java",
    "groupTitle": "assignmentCreate"
  },
  {
    "type": "get",
    "url": "/rest/resources/1.0/assignmentCreate/projectOptions",
    "title": "projectOptions",
    "name": "projectOptions",
    "group": "assignmentCreate",
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "projects",
            "description": "<p>List of user profiles.</p>"
          },
          {
            "group": "Success 200",
            "type": "Integer",
            "optional": false,
            "field": "projects.id",
            "description": "<p>The value to choose as an ID for the API.</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "projects.name",
            "description": "<p>label of the project, the jira project name</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "projects.projectKey",
            "description": "<p>The jira project key</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "Success-Response:",
          "content": "   HTTP/1.1 200 OK\n   [\n\t {\n       \"id\": \"256\",\n       \"name\": \"Support Project Random\"\n       \"projectKey\": \"SPR\" \n     }\n   ]",
          "type": "json"
        }
      ]
    },
    "version": "0.0.0",
    "filename": "src/main/java/net/naomi/jira/planning/service/impl/AssignmentCreateService.java",
    "groupTitle": "assignmentCreate"
  },
  {
    "type": "get",
    "url": "/rest/resources/1.0/assignmentCreate/resourceOptions",
    "title": "resourceOptions",
    "name": "resourceOptions",
    "group": "assignmentCreate",
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "resources",
            "description": "<p>List of user profiles.</p>"
          },
          {
            "group": "Success 200",
            "type": "Integer",
            "optional": false,
            "field": "resources.id",
            "description": "<p>The value to choose as an ID for the API.</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "resources.name",
            "description": "<p>original jira user name</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "resources.displayName",
            "description": "<p>the last changed jira user name, or the label of the resource object</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "resources.key",
            "description": "<p>The jira user key</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "Success-Response:",
          "content": "   HTTP/1.1 200 OK\n   [\n\t {\n       \"id\": \"288\",\n       \"name\": \"Horst Schlemmer\"\n       \"projectKey\": \"hotte\" \n     }\n   ]",
          "type": "json"
        }
      ]
    },
    "version": "0.0.0",
    "filename": "src/main/java/net/naomi/jira/planning/service/impl/AssignmentCreateService.java",
    "groupTitle": "assignmentCreate"
  },
  {
    "type": "post",
    "url": "/rest/resources/1.0/assignmentCreate/saveAssignment",
    "title": "saveAssignment",
    "name": "saveAssignment",
    "group": "assignmentCreate",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "Object[]",
            "optional": false,
            "field": "assignmentCreateModel",
            "description": "<p>List of chosen params to save an assingment</p>"
          },
          {
            "group": "Parameter",
            "type": "Integer",
            "optional": false,
            "field": "assignmentCreateModel.selectedProject",
            "description": "<p>The chosen value of a projectOption.</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "assignmentCreateModel.selectedResource",
            "description": "<p>The chosen value of a resopurceOption.</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "assignmentCreateModel.selectedDistribution",
            "description": "<p>The chosen value of a distributionOption.</p>"
          },
          {
            "group": "Parameter",
            "type": "Long",
            "optional": false,
            "field": "assignmentCreateModel.from",
            "description": "<p>The from date in UTC as a Long</p>"
          },
          {
            "group": "Parameter",
            "type": "Long",
            "optional": false,
            "field": "assignmentCreateModel.to",
            "description": "<p>The to date in UTC as a Long</p>"
          },
          {
            "group": "Parameter",
            "type": "Integer",
            "optional": false,
            "field": "assignmentCreateModel.assignmentValue",
            "description": "<p>The value to distribute</p>"
          },
          {
            "group": "Parameter",
            "type": "Boolean",
            "optional": false,
            "field": "assignmentCreateModel.extendFilter",
            "description": "<p>If the assignment should extend the current filter</p>"
          }
        ]
      }
    },
    "version": "0.0.0",
    "filename": "src/main/java/net/naomi/jira/planning/service/impl/AssignmentCreateService.java",
    "groupTitle": "assignmentCreate"
  },
  {
    "type": "post",
    "url": "/rest/resources/1.0/absenceBoard/saveAbsence",
    "title": "saveCapacity",
    "name": "saveCapacity",
    "group": "capacityBoard",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "Object[]",
            "optional": false,
            "field": "addCapacityValueModel",
            "description": "<p>List of chosen params to save an assingment</p>"
          },
          {
            "group": "Parameter",
            "type": "Integer[]",
            "optional": false,
            "field": "addCapacityValueModel.selectedResources",
            "description": "<p>The chosen value(s) of a resopurceOption</p>"
          },
          {
            "group": "Parameter",
            "type": "Long",
            "optional": false,
            "field": "addCapacityValueModel.from",
            "description": "<p>The from date in UTC as a Long</p>"
          },
          {
            "group": "Parameter",
            "type": "Long",
            "optional": false,
            "field": "addCapacityValueModel.to",
            "description": "<p>The to date in UTC as a Long</p>"
          },
          {
            "group": "Parameter",
            "type": "Double[]",
            "optional": false,
            "field": "addCapacityValueModel.weekValues",
            "description": "<p>The values to be distributed for a user each weekday one value, started with monday. Exactly 7 Doubles are expected.</p>"
          },
          {
            "group": "Parameter",
            "type": "Boolean",
            "optional": false,
            "field": "addCapacityValueModel.extendFilter",
            "description": "<p>If the user should extend the current filter - user specifc</p>"
          }
        ]
      }
    },
    "version": "0.0.0",
    "filename": "src/main/java/net/naomi/jira/planning/service/impl/CapacityBoardService.java",
    "groupTitle": "capacityBoard"
  }
] });
